Bug 522869 - [Intel Test Day] Wrong resolution of the second display in Plymouth, Intel 945, EEE 1000H
Summary: [Intel Test Day] Wrong resolution of the second display in Plymouth, Intel 94...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: rawhide
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 21:34 UTC by Tomasz Chrzczonowicz
Modified: 2009-10-02 02:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-02 02:10:40 UTC


Attachments (Terms of Use)
EEE with external screen (68.66 KB, image/jpeg)
2009-09-11 21:47 UTC, Tomasz Chrzczonowicz
no flags Details
EEE with external screen 2 (59.41 KB, image/jpeg)
2009-09-11 21:49 UTC, Tomasz Chrzczonowicz
no flags Details
Xorg.0.log (45.76 KB, text/plain)
2009-09-11 21:52 UTC, Tomasz Chrzczonowicz
no flags Details
dmesg (34.20 KB, text/plain)
2009-09-11 21:53 UTC, Tomasz Chrzczonowicz
no flags Details

Description Tomasz Chrzczonowicz 2009-09-11 21:34:03 UTC
Description of problem:

When booting with a external monitor connected to the EEE 1000H, the screen resolution of the former is wrong.

Version-Release number of selected component (if applicable):

plymouth.i686                           0.7.1-4.fc12            
@rawhide-hourly
plymouth-gdm-hooks.i686                 0.7.1-4.fc12            
@rawhide-hourly
plymouth-libs.i686                      0.7.1-4.fc12            
@rawhide-hourly
plymouth-plugin-script.i686             0.7.1-4.fc12            
@rawhide-hourly
plymouth-scripts.i686                   0.7.1-4.fc12            
@rawhide-hourly
plymouth-system-theme.i686              0.7.1-4.fc12            
@rawhide-hourly
plymouth-theme-script.i686              0.7.1-4.fc12            
@rawhide-hourly
plymouth-utils.i686                     0.7.1-4.fc12            
@rawhide-hourly

xorg-x11-drv-intel-2.8.0-13.20090909.fc12.i686
kernel-2.6.31-0.219.rc9.git2.fc12.i686


How reproducible:

Used a LiveUSB from Intel Test Day image (2009-09-09). 

Steps to Reproduce:

1. Boot it
  
Actual results:

Wrong resolution on the second screen

Expected results:

Right resolution on the second screen

Additional info:

Smolt profile:
http://www.smolts.org/client/show/pub_aba45b1f-10a6-44b4-b416-7ebd6a57ccac

Reported during Intel Graphics Test Day

Card:

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 945GME Express Integrated Graphics Controller [8086:27ae] (rev 03)
00:02.1 Display controller [0380]: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller [8086:27a6] (rev 03)

Comment 1 Tomasz Chrzczonowicz 2009-09-11 21:42:18 UTC
The EEE 1000H resolution is 1024X600.
External monitor's resolution should be 1280x1024 (the card can handle that). I can't tell what it is precisely in Plymouth. Seems similar to the one of the EEE.

Once in X, the resolution of the external display is set correctly.

Comment 2 Tomasz Chrzczonowicz 2009-09-11 21:47:22 UTC
Created attachment 360734 [details]
EEE with external screen

Comment 3 Tomasz Chrzczonowicz 2009-09-11 21:49:00 UTC
Created attachment 360735 [details]
EEE with external screen 2

Comment 4 Tomasz Chrzczonowicz 2009-09-11 21:52:28 UTC
Created attachment 360736 [details]
Xorg.0.log

Comment 5 Tomasz Chrzczonowicz 2009-09-11 21:53:30 UTC
Created attachment 360737 [details]
dmesg

Comment 6 Adam Williamson 2009-09-18 04:29:59 UTC
i suspect this is somehow a KMS bug, but leave it up to kristian to confirm.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Tomasz Chrzczonowicz 2009-09-18 05:24:26 UTC
Can i set this to block Fedora12Blocker?

Comment 8 Adam Williamson 2009-09-18 18:42:30 UTC
nope, nowhere near important enough to block the release - it's purely cosmetic and limited to boot time...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Matthias Clasen 2009-10-02 02:10:40 UTC
Fixed in plymouth-0.8.0-0.2009.29.09.1.fc12.x86_64


Note You need to log in before you can comment on or make changes to this bug.